Blame SOURCES/0070-iscsi-iscsiroot.sh-do-not-trust-iscsistart-return-va.patch

18971c
From 7faae1264db2d015135985c52bc2b8a2ae0636eb Mon Sep 17 00:00:00 2001
18971c
From: Harald Hoyer <harald@redhat.com>
18971c
Date: Tue, 7 Jan 2014 16:40:50 +0100
18971c
Subject: [PATCH] iscsi/iscsiroot.sh: do not trust iscsistart return value
18971c
18971c
---
18971c
 modules.d/95iscsi/iscsiroot.sh | 3 ++-
18971c
 1 file changed, 2 insertions(+), 1 deletion(-)
18971c
18971c
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
18971c
index ef090f7f..abdea5cf 100755
18971c
--- a/modules.d/95iscsi/iscsiroot.sh
18971c
+++ b/modules.d/95iscsi/iscsiroot.sh
18971c
@@ -44,7 +44,8 @@ if getargbool 0 rd.iscsi.firmware -d -y iscsi_firmware ; then
18971c
 	iscsi_param="$iscsi_param --param $p"
18971c
     done
18971c
 
18971c
-    if ! [ -e /tmp/iscsistarted-firmware ] && iscsistart -b $iscsi_param; then
18971c
+    if ! [ -e /tmp/iscsistarted-firmware ]; then
18971c
+        iscsistart -b $iscsi_param
18971c
         echo 'started' > "/tmp/iscsistarted-iscsi"
18971c
         echo 'started' > "/tmp/iscsistarted-firmware"
18971c
         need_shutdown